(* ------------------------------------------------------ *)
(*                       TIM.PAS                          *)
(*             Parameterbergabe fr BASM                 *)
(*            (c) 1993 W.Rinke & DMV-Verlag               *)
(* ------------------------------------------------------ *)
PROGRAM TimerTest;

{$IFNDEF Ver70}
CONST
  Seg0040 = $0040;
{$ENDIF}

  FUNCTION Timer0 : LongInt;
  BEGIN
    Timer0 := MemL[Seg0040:$006C];
  END;
 
  FUNCTION Timer1 : LongInt;
  VAR
    T : RECORD
          Lo, Hi : WORD;
        END;
  BEGIN
    ASM
      XOR AH,AH
      INT 1AH
      MOV T.Lo, DX
      MOV T.Hi, CX
    END;
    Timer1 := LongInt(T);
  END;

  FUNCTION Timer2 : LongInt;
  BEGIN
    ASM
      XOR AH,AH
      INT 1AH
      MOV [BP-04],DX
      MOV [BP-02],CX
    END;
  END;

  FUNCTION Timer3 : LongInt;  ASSEMBLER; 
  ASM
    XOR  AH,AH
    INT  1AH
    MOV  AX,DX  (* Longint als Ordinaltyp in DX:AX *)
    MOV  DX,CX  (* wie auch Zeigertypen            *)
  END;

BEGIN
  WriteLn(Timer0);
  WriteLn(Timer1);
  WriteLn(Timer2);
  WriteLn(Timer3);
END.
(* ------------------------------------------------------ *)
(*                 Ende von TIM.PAS                       *)

